polybori::CErrorEnums Class Reference

This struct contains type definitions and enumerations to be used for error codes. More...

`#include <pbori_defs.h>`

Inheritance diagram for polybori::CErrorEnums:

## Public Types

enum | errorcodes { alright = 0, failed, no_ring, invalid, out_of_bounds, io_error, monomial_zero, illegal_on_zero, division_by_zero, invalid_ite, not_implemented, matrix_size_exceeded, last_error }
| Error codes enumeration. More...

## Detailed Description

This struct contains type definitions and enumerations to be used for error codes.

## Member Enumeration Documentation

enum polybori::CErrorEnums::errorcodes

Error codes enumeration.

Enumerator
alright |
failed |
no_ring |
invalid |
out_of_bounds |
io_error |
monomial_zero |
illegal_on_zero |
division_by_zero |
invalid_ite |
not_implemented |
matrix_size_exceeded |
last_error |

The documentation for this class was generated from the following file:

- pbori_defs.h